Last modified: 2012-04-19 21:43:06 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21016 - Search & Replace: Pressing enter key is not cause to perform selected functionality.
Search & Replace: Pressing enter key is not cause to perform selected functio...
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Trevor Parscal
http://prototype.wikimedia.org/deploy...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-10-06 08:09 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Calcey QA 2009-10-06 08:09:29 UTC
Reporting against Babaco Release.

Steps to Reproduce ::
1) Select a random page and click on edit.
2) Enter some texts in the test area.
3) Click on 'Search and replace' icon.
4) Set values for 'Search for' and 'Replace with' text boxes.
5) Set focus to 'Replace next' button by clicking 'Tab' key.
6) Click on the 'Enter' key.
<<Pressing 'Enter' key caused to find the next matching value>>

7) Set focus to 'Replace all' button by clicking 'Tab' key.
8) Click on the 'Enter' key.
<<Pressing 'Enter' key caused to find the next matching value>>

Expected outcome::
Selected button should be clicked when user clicks the 'Enter' key.

Test Environment::
Browser (User-Agent): 	Opera/9.50 (Windows NT 6.0; U; en)
Time and Date: 	12:11:46 PM - Tuesday, October 06, 2009
Javascript:	Enabled
Cookies Enabled:	Enabled 
Java Enabled:	Not Available/Enabled

Browser (User-Agent):  	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)
Time and Date: 	12:11:27 PM - Tuesday, October 06, 2009
Javascript: 	Enabled
Cookies Enabled: 	Enabled
Java Enabled: 	Not Available/Enabled
CPU class/type: 	OS/CPU Windows NT 6.0 

Browser (User-Agent):	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US) AppleWebKit/532.0 (KHTML, like Gecko) Chrome/3.0.195.24 Safari/532.0
Time and Date:	1:38:23 PM - Tuesday, October 06, 2009
Javascript:	Enabled
Cookies Enabled:	Enabled
Java Enabled:	Enabled

Browser (User-Agent): Opera/9.80 (X11; Linux i686; U; en) Presto/2.2.15 Version/10.00
Time and Date: 6:34:28 PM - Tuesday, October 06, 2009
Javascript: Enabled
Cookies Enabled: Enabled 
Java Enabled: Enabled
Comment 1 Roan Kattouw 2009-10-06 14:24:07 UTC
Fixed in r57425.
Comment 2 Calcey QA 2009-10-13 07:57:54 UTC
Reporting against Babaco Release r57575

The problem can be reproduced by following the same steps given.

Test Environment::
Browser (User-Agent): 	Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3
Time and Date: 	1:23:44 PM - Tuesday, October 13, 2009
Javascript:	EnabledNot Available/Enabled
Cookies Enabled:	Enabled

Browser (User-Agent):     Opera/9.63 (Windows NT 5.2; U; en) Presto/2.1.1
Time and Date:     1:35:42 PM - Tuesday, October 13, 2009
Javascript:    Enabled
Cookies Enabled:    Enabled

Agent):Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US) AppleWebKit/532.0 (KHTML, like Gecko) Chrome/3.0.195.27 Safari/532.0Time and Date:1:45:35 PM - Tuesday, October 13, 2009Javascript:EnabledCookies Enabled:EnabledJava Enabled:
Comment 3 Calcey QA 2009-10-23 04:34:40 UTC
Changed the Severity to Critical to Normal
Comment 4 Roan Kattouw 2009-11-02 13:27:55 UTC
Misread the bug report earlier, my apologies. Fixed in r58427.
Comment 5 Calcey QA 2009-11-12 06:17:50 UTC
Reporting against Babaco Release r58867

The problem can be reproduced by following the same steps given.
Comment 6 Roan Kattouw 2010-01-24 21:59:34 UTC
This is fixed for me with r61474.
Comment 7 Calcey QA 2010-01-25 05:56:46 UTC
Verified in r61474 and close

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links